Subject: Re: bug#32087: gcc -m32 can't find stubs-32.h

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 10 Jul 2018 15:40:15 +0200

Clément Lassieur <[email-masked]> writes:

> Ricardo Wurmus <[email-masked]> writes:
>
>> David Larsson <[email-masked]> writes:
>>
>>> I tried to run gcc to compile a simple c program which fails:
>>
>> Are you using the “gcc-toolchain” package?
>
> I reproduce that bug with gcc-toolchain.

If you’re trying to compile for i686, should you not be using the i686
variant of gcc-toolchain?  You can build it with

    guix build --system=i686-linux gcc-toolchain

(I don’t really know much about this, but we don’t build GCC with
multilib support.)

-- 
Ricardo